Debian Bug report logs - #693839
debian-installer: kernel install fails on armel buffalo linkstation pro, missing uboot-mkimage

version graph

Package: flash-kernel; Maintainer for flash-kernel is Debian Install System Team <debian-boot@lists.debian.org>; Source for flash-kernel is src:flash-kernel.

Reported by: Suschman <suschman@gmx.net>

Date: Tue, 20 Nov 2012 21:33:02 UTC

Severity: serious

Tags: d-i, wheezy-ignore

Found in version flash-kernel/3.3

Fixed in version flash-kernel/3.7

Done: Loïc Minier <lool@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, suschman@gmx.net, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#693839; Package debian-installer. (Tue, 20 Nov 2012 21:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Suschman <suschman@gmx.net>:
New Bug report received and forwarded. Copy sent to suschman@gmx.net, Debian Install System Team <debian-boot@lists.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

debian armel beta3 installer on linkstation pro

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Tue, 20 Nov 2012 21:33:04 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Suschman <suschman@gmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer: kernel install fails on armel buffalo linkstation pro, missing uboot-mkimage
Date: Tue, 20 Nov 2012 22:31:38 +0100
Package: debian-installer
Version: debian armel beta3 installer on linkstation pro
Severity: grave
Tags: d-i
Justification: renders package unusable

Dear Maintainer,

Clean installing Debian 7 with Beta3 netinstall on Linkstation Pro/Live fails kernel install.
Started by copying uImage and initrd of installer to first disk partition and starting linkstation.
Complete format of disk with partman in installer.

Errorlog shows missing mkimage program at failed kernal install stage.
Going into shell, chroot into /target, installing uboot-mkimage and restarting kernel-install task fixes the problem.
This is maybe related to uboot-mkimage beeing transitional package (pulls u-boot-tools).

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: armel (armv5tel)

Kernel: Linux 3.2.0-4-orion5x
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Log Fail:

Nov 20 20:47:40 in-target: update-initramfs: Generating /boot/initrd.img-3.2.0-4-orion5x
Nov 20 20:48:16 in-target: flash-kernel: installing version 3.2.0-4-orion5x
Nov 20 20:48:19 in-target: Generating kernel u-boot image... /usr/sbin/flash-kernel: 232: /usr/sbin/flash-kernel: mkimage: not found
Nov 20 20:48:19 flash-kernel-installer: error: flash-kernel failed
Nov 20 20:48:19 main-menu[1243]: WARNING **: Configuring 'flash-kernel-installer' failed with error code 1
Nov 20 20:47:40 in-target: update-initramfs: Generating /boot/initrd.img-3.2.0-4-orion5x
Nov 20 20:48:16 in-target: flash-kernel: installing version 3.2.0-4-orion5x
Nov 20 20:48:19 in-target: Generating kernel u-boot image... /usr/sbin/flash-kernel: 232: /usr/sbin/flash-kernel: mkimage: not found
Nov 20 20:48:19 flash-kernel-installer: error: flash-kernel failed
Nov 20 20:48:19 main-menu[1243]: WARNING **: Configuring 'flash-kernel-installer' failed with error code 1
Nov 20 20:48:19 main-menu[1243]: WARNING **: Menu item 'flash-kernel-installer' failed.

Log after uboot-mkimage install in target:

Nov 20 21:03:09 main-menu[1243]: DEBUG: resolver (libgcc1): package doesn't exist (ignored)
Nov 20 21:03:12 main-menu[1243]: INFO: Menu item 'flash-kernel-installer' selected
Nov 20 21:03:22 in-target: Reading package lists...
Nov 20 21:03:22 in-target: 
Nov 20 21:03:22 in-target: Building dependency tree...
Nov 20 21:03:25 in-target: 
Nov 20 21:03:25 in-target: Reading state information...
Nov 20 21:03:25 in-target: 
Nov 20 21:03:27 in-target: flash-kernel is already the newest version.
Nov 20 21:03:27 in-target: 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Nov 20 21:03:30 in-target: update-initramfs: Generating /boot/initrd.img-3.2.0-4-orion5x
Nov 20 21:04:05 in-target: flash-kernel: installing version 3.2.0-4-orion5x
Nov 20 21:04:08 in-target: Generating kernel u-boot image... 
Nov 20 21:04:08 in-target: done.
Nov 20 21:04:08 in-target: Installing new uImage.buffalo.
Nov 20 21:04:08 in-target: Generating initramfs u-boot image... 
Nov 20 21:04:09 in-target: done.
Nov 20 21:04:09 in-target: Installing new initrd.buffalo.
Nov 20 21:04:09 main-menu[1243]: INFO: Restoring default debconf priority 'high'



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#693839; Package debian-installer. (Tue, 20 Nov 2012 23:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 20 Nov 2012 23:18:09 GMT) Full text and rfc822 format available.

Message #10 received at 693839@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Suschman <suschman@gmx.net>, 693839@bugs.debian.org
Subject: Re: Bug#693839: debian-installer: kernel install fails on armel buffalo linkstation pro, missing uboot-mkimage
Date: Wed, 21 Nov 2012 00:14:41 +0100
[Message part 1 (text/plain, inline)]
Control: reassign -1 flash-kernel 3.3
Control: severity -1 serious

Suschman <suschman@gmx.net> (20/11/2012):
> Package: debian-installer
> Version: debian armel beta3 installer on linkstation pro
> Severity: grave
> Tags: d-i
> Justification: renders package unusable
> 
> Dear Maintainer,
> 
> Clean installing Debian 7 with Beta3 netinstall on Linkstation
> Pro/Live fails kernel install.  Started by copying uImage and initrd
> of installer to first disk partition and starting linkstation.
> Complete format of disk with partman in installer.
> 
> Errorlog shows missing mkimage program at failed kernal install
> stage.  Going into shell, chroot into /target, installing
> uboot-mkimage and restarting kernel-install task fixes the problem.
> This is maybe related to uboot-mkimage beeing transitional package
> (pulls u-boot-tools).

Hi, and thanks for your report.

u-boot-tools is only in “Suggests” for flash-kernel, while your
situation suggests it might be better to have it in “Recommends”.
What do others think?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'debian-installer' to 'flash-kernel'. Request was from Cyril Brulebois <kibi@debian.org> to 693839-submit@bugs.debian.org. (Tue, 20 Nov 2012 23:18:09 GMT) Full text and rfc822 format available.

Marked as found in versions flash-kernel/3.3. Request was from Cyril Brulebois <kibi@debian.org> to 693839-submit@bugs.debian.org. (Tue, 20 Nov 2012 23:18:09 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'grave' Request was from Cyril Brulebois <kibi@debian.org> to 693839-submit@bugs.debian.org. (Tue, 20 Nov 2012 23:18:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#693839; Package flash-kernel. (Sat, 29 Dec 2012 15:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 29 Dec 2012 15:03:03 GMT) Full text and rfc822 format available.

Message #21 received at 693839@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 693839@bugs.debian.org
Cc: Suschman <suschman@gmx.net>
Subject: Re: Bug#693839: debian-installer: kernel install fails on armel buffalo linkstation pro, missing uboot-mkimage
Date: Sat, 29 Dec 2012 15:59:15 +0100
[Message part 1 (text/plain, inline)]
Quoting Cyril Brulebois (kibi@debian.org):

> Hi, and thanks for your report.
> 
> u-boot-tools is only in “Suggests” for flash-kernel, while your
> situation suggests it might be better to have it in “Recommends”.
> What do others think?

Well, I even moved it to Depends in my commit. I'm not sure it is a
good idea to rely on Recommends being installed if the mkimage program
is required in some situations.

I'm ready to upload flash-kernel with that fix.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#693839; Package flash-kernel. (Wed, 02 Jan 2013 18:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 02 Jan 2013 18:54:03 GMT) Full text and rfc822 format available.

Message #26 received at 693839@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Loïc Minier <lool@debian.org>, Hector Oron <zumbi@debian.org>, Wouter Verhelst <wouter@debian.org>, Christian PERRIER <bubulle@debian.org>, 693839@bugs.debian.org
Cc: Suschman <suschman@gmx.net>
Subject: Re: Bug#693839: debian-installer: kernel install fails on armel buffalo linkstation pro, missing uboot-mkimage
Date: Wed, 2 Jan 2013 19:50:29 +0100
[Message part 1 (text/plain, inline)]
Hi $Uploaders,

Christian PERRIER <bubulle@debian.org> (29/12/2012):
> Quoting Cyril Brulebois (kibi@debian.org):
> 
> > Hi, and thanks for your report.
> > 
> > u-boot-tools is only in “Suggests” for flash-kernel, while your
> > situation suggests it might be better to have it in “Recommends”.
> > What do others think?
> 
> Well, I even moved it to Depends in my commit. I'm not sure it is a
> good idea to rely on Recommends being installed if the mkimage
> program is required in some situations.
> 
> I'm ready to upload flash-kernel with that fix.

works for me, unless any uploader disagrees?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#693839; Package flash-kernel. (Wed, 02 Jan 2013 19:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 02 Jan 2013 19:00:05 GMT) Full text and rfc822 format available.

Message #31 received at 693839@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Cyril Brulebois <kibi@debian.org>, Christian PERRIER <bubulle@debian.org>
Cc: Loïc Minier <lool@debian.org>, Wouter Verhelst <wouter@debian.org>, 693839@bugs.debian.org, Suschman <suschman@gmx.net>
Subject: Re: Bug#693839: debian-installer: kernel install fails on armel buffalo linkstation pro, missing uboot-mkimage
Date: Wed, 2 Jan 2013 19:57:31 +0100
Hi,

2013/1/2 Cyril Brulebois <kibi@debian.org>:
> Christian PERRIER <bubulle@debian.org> (29/12/2012):

>> > u-boot-tools is only in “Suggests” for flash-kernel, while your
>> > situation suggests it might be better to have it in “Recommends”.
>> > What do others think?

>> Well, I even moved it to Depends in my commit. I'm not sure it is a
>> good idea to rely on Recommends being installed if the mkimage
>> program is required in some situations.
>>
>> I'm ready to upload flash-kernel with that fix.

> works for me, unless any uploader disagrees?

+1, works for me

Regards,
-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#693839; Package flash-kernel. (Wed, 02 Jan 2013 19:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 02 Jan 2013 19:39:05 GMT) Full text and rfc822 format available.

Message #36 received at 693839@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Cyril Brulebois <kibi@debian.org>, 693839@bugs.debian.org
Cc: Loïc Minier <lool@debian.org>, Hector Oron <zumbi@debian.org>, Wouter Verhelst <wouter@debian.org>, Christian PERRIER <bubulle@debian.org>, Suschman <suschman@gmx.net>
Subject: Re: Bug#693839: debian-installer: kernel install fails on armel buffalo linkstation pro, missing uboot-mkimage
Date: Wed, 2 Jan 2013 19:37:06 +0000
* Cyril Brulebois <kibi@debian.org> [2013-01-02 19:50]:
> > Well, I even moved it to Depends in my commit. I'm not sure it is a
> > good idea to rely on Recommends being installed if the mkimage
> > program is required in some situations.
> > 
> > I'm ready to upload flash-kernel with that fix.
> 
> works for me, unless any uploader disagrees?

I disagree.  flash-kernel maintains a database with information about
each device, including a list of required packages.  It will install
those required packages.  u-boot-tools is listed for the Linkstation,
so the real question is why it's not being installed.

Suschman: can you post the full installer log?

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#693839; Package flash-kernel. (Wed, 02 Jan 2013 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 02 Jan 2013 21:27:03 GMT) Full text and rfc822 format available.

Message #41 received at 693839@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Hector Oron <hector.oron@gmail.com>
Cc: Cyril Brulebois <kibi@debian.org>, Loïc Minier <lool@debian.org>, Wouter Verhelst <wouter@debian.org>, 693839@bugs.debian.org, Suschman <suschman@gmx.net>
Subject: Re: Bug#693839: debian-installer: kernel install fails on armel buffalo linkstation pro, missing uboot-mkimage
Date: Wed, 2 Jan 2013 22:23:59 +0100
[Message part 1 (text/plain, inline)]
Quoting Hector Oron (hector.oron@gmail.com):
> Hi,
> 
> 2013/1/2 Cyril Brulebois <kibi@debian.org>:
> > Christian PERRIER <bubulle@debian.org> (29/12/2012):
> 
> >> > u-boot-tools is only in “Suggests” for flash-kernel, while your
> >> > situation suggests it might be better to have it in “Recommends”.
> >> > What do others think?
> 
> >> Well, I even moved it to Depends in my commit. I'm not sure it is a
> >> good idea to rely on Recommends being installed if the mkimage
> >> program is required in some situations.
> >>
> >> I'm ready to upload flash-kernel with that fix.
> 
> > works for me, unless any uploader disagrees?
> 
> +1, works for me

Upload done...

[signature.asc (application/pgp-signature, inline)]

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Wed, 02 Jan 2013 21:36:03 GMT) Full text and rfc822 format available.

Notification sent to Suschman <suschman@gmx.net>:
Bug acknowledged by developer. (Wed, 02 Jan 2013 21:36:03 GMT) Full text and rfc822 format available.

Message #46 received at 693839-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 693839-close@bugs.debian.org
Subject: Bug#693839: fixed in flash-kernel 3.4
Date: Wed, 02 Jan 2013 21:32:36 +0000
Source: flash-kernel
Source-Version: 3.4

We believe that the bug you reported is fixed in the latest version of
flash-kernel, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693839@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated flash-kernel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 02 Jan 2013 22:16:38 +0100
Source: flash-kernel
Binary: flash-kernel flash-kernel-installer
Architecture: source armel
Version: 3.4
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 flash-kernel - utility to make certain embedded devices bootable
 flash-kernel-installer - Make the system bootable (udeb)
Closes: 693839
Changes: 
 flash-kernel (3.4) unstable; urgency=low
 .
   * Move u-boot-tools to Depends so that the mkimage program
     is available. This will allow installing the kernel on Linkstation
     Pro/Live. Closes: #693839
Checksums-Sha1: 
 518fc90ac79494a77baba184ced30ead360e75f0 1772 flash-kernel_3.4.dsc
 8335035e6d7fc20c5f253fd0210c39e2d2494288 57385 flash-kernel_3.4.tar.gz
 8be58b394e33ebe2c068251d31be71ea193ed7d7 25542 flash-kernel_3.4_armel.deb
 0319481f28761318332f36360e036057b90eead0 18810 flash-kernel-installer_3.4_armel.udeb
Checksums-Sha256: 
 d6b0430a66878caa6242db846d252202e610c574703f22207beee7753a8e53fa 1772 flash-kernel_3.4.dsc
 ff3662fa1b12d2f23dba0f8e06d1041adfa25014627ae8a6443486510d5d161b 57385 flash-kernel_3.4.tar.gz
 0322ef702404b087ba5818199e1c500eddc38172bb06f52863b3d3d7b690ed2f 25542 flash-kernel_3.4_armel.deb
 d9c56e14644492f43a5c49f81e5c407f08e9ed3dacbc4f9c7f99f1d463c25d0b 18810 flash-kernel-installer_3.4_armel.udeb
Files: 
 91ab94b83ce8cacccb1bbfcb6da53310 1772 utils optional flash-kernel_3.4.dsc
 f9adf20b9dc33f57b58c71e2135e24aa 57385 utils optional flash-kernel_3.4.tar.gz
 9fce47987e81ab06d1f3565d86cc4d09 25542 utils optional flash-kernel_3.4_armel.deb
 2d568c96cb26239a0d9a1c08149f2c41 18810 debian-installer standard flash-kernel-installer_3.4_armel.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUOSk4IcvcCxNbiWoAQKIZw//Xo1/+GJ2IGe7V5cNbyeZbv2zyhos98Ws
nkfbzJFuHuOsQWePjx2jS23oiDIc+u69CiwJva9kPR0hjsmB4anAzKFDFxpk5AJq
9uDB5WEjbHu36m9vq67WBqR5kger8b875DF1hjueygV2LXMoLw2rkmL0yGiU7RVD
36oAj9x1BVw6Mp7qd2B1O0HmnXwZYKn/ty5nZMdkHI4NR61e/wAvC4bKHS1Sc8RV
sSoZE1obAeTEhK3hSVV1+DpWFHYVUbt1M5FaKa0acy3aMal2exIw4ixmbj1KOBgh
MJVyzvvvYPn6YdjJD00JMcmv4+Z2rNRoVy+1UhKfWhCMq8ABrFvukGLEppxLqkvs
EKiRegCcAl/JPZ79B+rLU9IOYdE7rOvvwiZ/A/bpZAk4wKdwB8wSeLDn1Dyvb5sT
6qWtmgQCAn6OBu5OynOh913VpRoYe3UmyHgi+gHAnXlA2JcVTezLFoIwVsJPpHXv
ZuD4c1IIx3FoG0+TdSabPfmEfNCYqKmzcqrts7+1/QCBY72nB9LMV1TlYtdjJwlj
aOzbN+7JOGLCohggJj5c9Z0OeIn1M1tjWaueammZgIS3yphcFYlhgtkcVHSTU8ki
QXhCA6bab39fQdZkfGm6fInBl/XzFjDw6nb1zIqXt9+381bKo812o32KWepDJDr6
mCOLjDKsj80=
=lY9a
-----END PGP SIGNATURE-----




Bug reopened Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Fri, 04 Jan 2013 18:51:05 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions flash-kernel/3.4. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Fri, 04 Jan 2013 18:51:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Wed, 23 Jan 2013 19:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#693839; Package flash-kernel. (Sun, 17 Mar 2013 18:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 17 Mar 2013 18:36:09 GMT) Full text and rfc822 format available.

Message #57 received at 693839@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 693839@bugs.debian.org
Subject: re: debian-installer: kernel install fails on armel buffalo linkstation pro, missing uboot-mkimage
Date: Sun, 17 Mar 2013 14:33:39 -0400
Martin Michlmayr wrote:
> I disagree.  flash-kernel maintains a database with information about
> each device, including a list of required packages.  It will install
> those required packages.  u-boot-tools is listed for the Linkstation,
> so the real question is why it's not being installed.

Looking at db/all.db, all of the machines have "Required-packages:
u-boot-tools", so in a way its already a universal dependency, I
wonder if it wouldn't make more sense to make it a "real" dependency
(as was done with the 3.4 upload)?

Best wishes,
Mike



Removed tag(s) pending. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Sat, 23 Mar 2013 18:06:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#693839; Package flash-kernel. (Mon, 25 Mar 2013 01:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 25 Mar 2013 01:54:04 GMT) Full text and rfc822 format available.

Message #64 received at 693839@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 693839@bugs.debian.org
Subject: Re: Bug#693839: debian-installer: kernel install fails on armel buffalo linkstation pro, missing uboot-mkimage
Date: Sun, 24 Mar 2013 21:50:56 -0400
[Message part 1 (text/plain, inline)]
control: tag -1 patch

On Sun, Mar 17, 2013 at 2:33 PM, Michael Gilbert wrote:
> Martin Michlmayr wrote:
>> I disagree.  flash-kernel maintains a database with information about
>> each device, including a list of required packages.  It will install
>> those required packages.  u-boot-tools is listed for the Linkstation,
>> so the real question is why it's not being installed.
>
> Looking at db/all.db, all of the machines have "Required-packages:
> u-boot-tools", so in a way its already a universal dependency, I
> wonder if it wouldn't make more sense to make it a "real" dependency
> (as was done with the 3.4 upload)?

Since the release is getting close, I've gone ahead with an nmu adding
u-boot-tools as a "real" dependency.  Uploaded to delayed/5 to give
you a chance to do a maintainer upload if desired.  Please see
attached patch.

Best wishes,
Mike
[flash-kernel.patch (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Michael Gilbert <mgilbert@debian.org> to 693839-submit@bugs.debian.org. (Mon, 25 Mar 2013 01:54:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#693839; Package flash-kernel. (Mon, 25 Mar 2013 10:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 25 Mar 2013 10:06:04 GMT) Full text and rfc822 format available.

Message #71 received at 693839@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Michael Gilbert <mgilbert@debian.org>, 693839@bugs.debian.org
Subject: Re: Bug#693839: debian-installer: kernel install fails on armel buffalo linkstation pro, missing uboot-mkimage
Date: Mon, 25 Mar 2013 11:02:54 +0100
[Message part 1 (text/plain, inline)]
On Sun, Mar 24, 2013 at 21:50:56 -0400, Michael Gilbert wrote:

> control: tag -1 patch
> 
> On Sun, Mar 17, 2013 at 2:33 PM, Michael Gilbert wrote:
> > Martin Michlmayr wrote:
> >> I disagree.  flash-kernel maintains a database with information about
> >> each device, including a list of required packages.  It will install
> >> those required packages.  u-boot-tools is listed for the Linkstation,
> >> so the real question is why it's not being installed.
> >
> > Looking at db/all.db, all of the machines have "Required-packages:
> > u-boot-tools", so in a way its already a universal dependency, I
> > wonder if it wouldn't make more sense to make it a "real" dependency
> > (as was done with the 3.4 upload)?
> 
> Since the release is getting close, I've gone ahead with an nmu adding
> u-boot-tools as a "real" dependency.  Uploaded to delayed/5 to give
> you a chance to do a maintainer upload if desired.  Please see
> attached patch.
> 
Please cancel that nmu.  Or I'll do it.  You don't get to upload changes
over the maintainer's specific objections.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#693839; Package flash-kernel. (Tue, 26 Mar 2013 00:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 26 Mar 2013 00:30:06 GMT) Full text and rfc822 format available.

Message #76 received at 693839@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 693839@bugs.debian.org
Subject: Re: Bug#693839: debian-installer: kernel install fails on armel buffalo linkstation pro, missing uboot-mkimage
Date: Mon, 25 Mar 2013 20:28:16 -0400
control: tag -1 -patch

On Mon, Mar 25, 2013 at 6:02 AM, Julien Cristau wrote:
>> Since the release is getting close, I've gone ahead with an nmu adding
>> u-boot-tools as a "real" dependency.  Uploaded to delayed/5 to give
>> you a chance to do a maintainer upload if desired.  Please see
>> attached patch.
>>
> Please cancel that nmu.  Or I'll do it.  You don't get to upload changes
> over the maintainer's specific objections.

Done.



Removed tag(s) patch. Request was from Michael Gilbert <mgilbert@debian.org> to 693839-submit@bugs.debian.org. (Tue, 26 Mar 2013 00:30:07 GMT) Full text and rfc822 format available.

Added tag(s) wheezy-ignore. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Tue, 16 Apr 2013 12:06:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#693839; Package flash-kernel. (Tue, 04 Jun 2013 19:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 04 Jun 2013 19:39:04 GMT) Full text and rfc822 format available.

Message #85 received at 693839@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Cyril Brulebois <kibi@debian.org>, 693839@bugs.debian.org
Cc: Loïc Minier <lool@debian.org>, Hector Oron <zumbi@debian.org>, Christian PERRIER <bubulle@debian.org>, Suschman <suschman@gmx.net>
Subject: Re: Bug#693839: debian-installer: kernel install fails on armel buffalo linkstation pro, missing uboot-mkimage
Date: Tue, 4 Jun 2013 20:26:08 +0100
* Martin Michlmayr <tbm@cyrius.com> [2013-01-02 19:37]:
> > > Well, I even moved it to Depends in my commit. I'm not sure it is a
> > > good idea to rely on Recommends being installed if the mkimage
> > > program is required in some situations.
> 
> I disagree.  flash-kernel maintains a database with information about
> each device, including a list of required packages.  It will install
> those required packages.  u-boot-tools is listed for the Linkstation,
> so the real question is why it's not being installed.

I just received several bug reports about this issue and decided to
investigate.

The flash-kernel database files says:
# somewhat RFC2822 based, but case sensitive, not tolerant to spaces etc.
                              ^^^^^^^^^^^^^^

The flash-kernel-installer postinst is looking for Required-Packages,
but several devices use Required-packages (note the lower case
"packages").

The fix is a simple s/Required-packages/Required-Packages/, and we
have to apply it both to unstable and wheezy (as installations fail
without this fix).

diff --git a/README b/README
index 81b65d2..d1da527 100644
--- a/README
+++ b/README
@@ -117,7 +117,7 @@ The supported fields are:
   but for a DTB file. The DTB file named by DTB-Id will be copied
   here; see also DTB-Id
 
-* Required-packages: (optional) list of packages which must be added
+* Required-Packages: (optional) list of packages which must be added
   during installer phase for flash-kernel to work properly; failure to
   add these packages aborts the installation
 
diff --git a/db/all.db b/db/all.db
index a4c4e84..9a7c655 100644
--- a/db/all.db
+++ b/db/all.db
@@ -7,7 +7,7 @@ U-Boot-Kernel-Address: 0x00008000
 U-Boot-Initrd-Address: 0x0
 Boot-Kernel-Path: /boot/uImage.buffalo
 Boot-Initrd-Path: /boot/initrd.buffalo
-Required-packages: u-boot-tools
+Required-Packages: u-boot-tools
 Bootloader-sets-root: yes
 
 Machine: Buffalo Linkstation Mini
@@ -17,7 +17,7 @@ U-Boot-Kernel-Address: 0x00008000
 U-Boot-Initrd-Address: 0x0
 Boot-Kernel-Path: /boot/uImage.buffalo
 Boot-Initrd-Path: /boot/initrd.buffalo
-Required-packages: u-boot-tools
+Required-Packages: u-boot-tools
 Bootloader-sets-root: yes
 
 Machine: Buffalo Linkstation Pro/Live
@@ -27,7 +27,7 @@ U-Boot-Kernel-Address: 0x00008000
 U-Boot-Initrd-Address: 0x0
 Boot-Kernel-Path: /boot/uImage.buffalo
 Boot-Initrd-Path: /boot/initrd.buffalo
-Required-packages: u-boot-tools
+Required-Packages: u-boot-tools
 Bootloader-sets-root: yes
 
 Machine: Buffalo/Revogear Kurobox Pro
@@ -37,7 +37,7 @@ U-Boot-Kernel-Address: 0x00008000
 U-Boot-Initrd-Address: 0x0
 Boot-Kernel-Path: /boot/uImage.buffalo
 Boot-Initrd-Path: /boot/initrd.buffalo
-Required-packages: u-boot-tools
+Required-Packages: u-boot-tools
 Bootloader-sets-root: yes
 
 Machine: D-Link DNS-323
@@ -47,7 +47,7 @@ Mtd-Kernel: Linux Kernel
 Mtd-Initrd: File System
 U-Boot-Kernel-Address: 0x00008000
 U-Boot-Initrd-Address: 0x00800000
-Required-packages: u-boot-tools
+Required-Packages: u-boot-tools
 Bootloader-sets-root: yes
 
 Machine: Freescale MX53 LOCO Board
@@ -56,7 +56,7 @@ U-Boot-Kernel-Address: 0x70008000
 U-Boot-Initrd-Address: 0x0
 Boot-Kernel-Path: /boot/uImage
 Boot-Initrd-Path: /boot/uInitrd
-Required-packages: u-boot-tools
+Required-Packages: u-boot-tools
 Bootloader-sets-root: no
 
 Machine: Genesi Efika Smartbook
@@ -68,7 +68,7 @@ U-Boot-Script-Name: bootscr.mx5
 Boot-Kernel-Path: /boot/uImage
 Boot-Initrd-Path: /boot/uInitrd
 Boot-Script-Path: /boot/boot.scr
-Required-packages: u-boot-tools
+Required-Packages: u-boot-tools
 Bootloader-sets-root: yes
 
 Machine: Genesi EfikaMX nettop
@@ -80,7 +80,7 @@ U-Boot-Script-Name: bootscr.mx5
 Boot-Kernel-Path: /boot/uImage
 Boot-Initrd-Path: /boot/uInitrd
 Boot-Script-Path: /boot/boot.scr
-Required-packages: u-boot-tools
+Required-Packages: u-boot-tools
 Bootloader-sets-root: yes
 
 Machine: GLAN Tank
@@ -94,7 +94,7 @@ Method: multi
 Kernel-Flavors: s3c24xx
 U-Boot-Multi-Address: 0x30008000
 Boot-Multi-Path: /boot/uImage.bin
-Required-packages: u-boot-tools
+Required-Packages: u-boot-tools
 Bootloader-sets-root: yes
 
 Machine: HP Media Vault mv2120
@@ -105,7 +105,7 @@ Boot-Multi-Path: /boot/uImage
 # mv2120-utils includes some initramfs-tools scripts that are nice to have but
 # which are not essential
 Optional-Packages: mv2120-utils
-Required-packages: u-boot-tools
+Required-Packages: u-boot-tools
 Bootloader-sets-root: yes
 
 Machine: HP t5325 Thin Client
@@ -113,7 +113,7 @@ Kernel-Flavors: kirkwood
 Machine-Id: 2846
 U-Boot-Multi-Address: 0x01600000
 Boot-Multi-Path: /boot/uImage
-Required-packages: u-boot-tools
+Required-Packages: u-boot-tools
 Bootloader-sets-root: yes
 
 Machine: LaCie 2Big Network v2
@@ -188,7 +188,7 @@ Mtd-Initrd: Ramdisk
 Optional-Packages: ixp4xx-firmware
 # nslu2-utils will call update-initramfs -u to include the firmware and to run
 # the hook from flash-kernel
-Required-packages: apex-nslu2 nslu2-utils
+Required-Packages: apex-nslu2 nslu2-utils
 Bootloader-sets-root: no
 
 Machine: Marvell DB-78x00-BP Development Board

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#693839; Package flash-kernel. (Tue, 04 Jun 2013 23:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 04 Jun 2013 23:48:04 GMT) Full text and rfc822 format available.

Message #90 received at 693839@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>, 693839@bugs.debian.org
Cc: Loïc Minier <lool@debian.org>, Hector Oron <zumbi@debian.org>, Christian PERRIER <bubulle@debian.org>, Suschman <suschman@gmx.net>
Subject: Re: Bug#693839: debian-installer: kernel install fails on armel buffalo linkstation pro, missing uboot-mkimage
Date: Wed, 5 Jun 2013 01:46:02 +0200
[Message part 1 (text/plain, inline)]
Martin Michlmayr <tbm@cyrius.com> (04/06/2013):
> * Martin Michlmayr <tbm@cyrius.com> [2013-01-02 19:37]:
> > > > Well, I even moved it to Depends in my commit. I'm not sure it is a
> > > > good idea to rely on Recommends being installed if the mkimage
> > > > program is required in some situations.
> > 
> > I disagree.  flash-kernel maintains a database with information about
> > each device, including a list of required packages.  It will install
> > those required packages.  u-boot-tools is listed for the Linkstation,
> > so the real question is why it's not being installed.
> 
> I just received several bug reports about this issue and decided to
> investigate.

Many thanks!

> The flash-kernel database files says:
> # somewhat RFC2822 based, but case sensitive, not tolerant to spaces etc.
>                               ^^^^^^^^^^^^^^
> 
> The flash-kernel-installer postinst is looking for Required-Packages,
> but several devices use Required-packages (note the lower case
> "packages").
> 
> The fix is a simple s/Required-packages/Required-Packages/, and we
> have to apply it both to unstable and wheezy (as installations fail
> without this fix).

Maybe we should also perform a .db check at build time, so that any
new such items would be spotted early? The following shell snippet
seems to do the trick, and could be added to debian/rules, causing
non-zero exit in case there are some hits?

$ for i in Optional Required; do ok=$(grep -c ^$i-Packages db/all.db); all=$(grep -i -c ^$i-Packages db/all.db); if [ $ok != $all ]; then echo "Wrong case for $((all-ok)) $i-Packages fields in db/all.db"; fi; done
Wrong case for 12 Required-Packages fields in db/all.db

Feel free to add that to master if you like it, and upload the
resulting package to unstable. I can take care of preparing the wheezy
branch and the wheezy pu bug report.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#693839; Package flash-kernel. (Wed, 05 Jun 2013 09:00:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 05 Jun 2013 09:00:17 GMT) Full text and rfc822 format available.

Message #95 received at 693839@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Cyril Brulebois <kibi@debian.org>
Cc: Martin Michlmayr <tbm@cyrius.com>, 693839@bugs.debian.org, Loïc Minier <lool@debian.org>, Christian PERRIER <bubulle@debian.org>, Suschman <suschman@gmx.net>
Subject: Re: Bug#693839: debian-installer: kernel install fails on armel buffalo linkstation pro, missing uboot-mkimage
Date: Wed, 5 Jun 2013 10:59:22 +0200
Hello,

2013/6/5 Cyril Brulebois <kibi@debian.org>:
> Martin Michlmayr <tbm@cyrius.com> (04/06/2013):

>> I just received several bug reports about this issue and decided to
>> investigate.

> Many thanks!

+1

> Maybe we should also perform a .db check at build time, so that any
> new such items would be spotted early? The following shell snippet
> seems to do the trick, and could be added to debian/rules, causing
> non-zero exit in case there are some hits?
>
> $ for i in Optional Required; do ok=$(grep -c ^$i-Packages db/all.db); all=$(grep -i -c ^$i-Packages db/all.db); if [ $ok != $all ]; then echo "Wrong case for $((all-ok)) $i-Packages fields in db/all.db"; fi; done
> Wrong case for 12 Required-Packages fields in db/all.db
>
> Feel free to add that to master if you like it, and upload the
> resulting package to unstable. I can take care of preparing the wheezy
> branch and the wheezy pu bug report.

Thanks, I think it is not bad idea to add such extra-check. I'll look
into adding it to master.
Thanks as well for handling wheezy upload.

Regards,
-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#693839; Package flash-kernel. (Wed, 05 Jun 2013 11:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <loic.minier@dooz.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 05 Jun 2013 11:54:04 GMT) Full text and rfc822 format available.

Message #100 received at 693839@bugs.debian.org (full text, mbox):

From: Loïc Minier <loic.minier@dooz.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: Martin Michlmayr <tbm@cyrius.com>, 693839@bugs.debian.org, Hector Oron <zumbi@debian.org>, Christian PERRIER <bubulle@debian.org>, Suschman <suschman@gmx.net>
Subject: Re: Bug#693839: debian-installer: kernel install fails on armel buffalo linkstation pro, missing uboot-mkimage
Date: Wed, 5 Jun 2013 13:40:58 +0200
On Wed, Jun 05, 2013, Cyril Brulebois wrote:
> Maybe we should also perform a .db check at build time, so that any
> new such items would be spotted early? The following shell snippet
> seems to do the trick, and could be added to debian/rules, causing
> non-zero exit in case there are some hits?

Yeah, I've pushed a test_db script which currently only tests for
unknown fields (case sensitively)

   Thanks all for the report and patches,
-- 
Loïc Minier



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#693839; Package flash-kernel. (Wed, 05 Jun 2013 12:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 05 Jun 2013 12:36:08 GMT) Full text and rfc822 format available.

Message #105 received at 693839@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Loïc Minier <loic.minier@dooz.org>, 693839@bugs.debian.org
Cc: Martin Michlmayr <tbm@cyrius.com>, Hector Oron <zumbi@debian.org>, Christian PERRIER <bubulle@debian.org>, Suschman <suschman@gmx.net>
Subject: Re: Bug#693839: debian-installer: kernel install fails on armel buffalo linkstation pro, missing uboot-mkimage
Date: Wed, 5 Jun 2013 14:32:51 +0200
[Message part 1 (text/plain, inline)]
Loïc Minier <loic.minier@dooz.org> (05/06/2013):
> On Wed, Jun 05, 2013, Cyril Brulebois wrote:
> > Maybe we should also perform a .db check at build time, so that any
> > new such items would be spotted early? The following shell snippet
> > seems to do the trick, and could be added to debian/rules, causing
> > non-zero exit in case there are some hits?
> 
> Yeah, I've pushed a test_db script which currently only tests for
> unknown fields (case sensitively)

Looks good, thanks.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#693839; Package flash-kernel. (Wed, 05 Jun 2013 14:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 05 Jun 2013 14:03:05 GMT) Full text and rfc822 format available.

Message #110 received at 693839@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Loïc Minier <loic.minier@dooz.org>
Cc: Cyril Brulebois <kibi@debian.org>, 693839@bugs.debian.org, Hector Oron <zumbi@debian.org>, Christian PERRIER <bubulle@debian.org>, Suschman <suschman@gmx.net>
Subject: Re: Bug#693839: debian-installer: kernel install fails on armel buffalo linkstation pro, missing uboot-mkimage
Date: Wed, 5 Jun 2013 14:59:56 +0100
* Loïc Minier <loic.minier@dooz.org> [2013-06-05 13:40]:
> Yeah, I've pushed a test_db script which currently only tests for
> unknown fields (case sensitively)

Can you please upload to unstable.

-- 
Martin Michlmayr
http://www.cyrius.com/



Reply sent to Loïc Minier <lool@debian.org>:
You have taken responsibility. (Fri, 07 Jun 2013 18:21:19 GMT) Full text and rfc822 format available.

Notification sent to Suschman <suschman@gmx.net>:
Bug acknowledged by developer. (Fri, 07 Jun 2013 18:21:19 GMT) Full text and rfc822 format available.

Message #115 received at 693839-close@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@debian.org>
To: 693839-close@bugs.debian.org
Subject: Bug#693839: fixed in flash-kernel 3.7
Date: Fri, 07 Jun 2013 18:17:56 +0000
Source: flash-kernel
Source-Version: 3.7

We believe that the bug you reported is fixed in the latest version of
flash-kernel, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693839@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Loïc Minier <lool@debian.org> (supplier of updated flash-kernel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 06 Jun 2013 16:17:51 +0200
Source: flash-kernel
Binary: flash-kernel flash-kernel-installer
Architecture: source armhf
Version: 3.7
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Loïc Minier <lool@debian.org>
Description: 
 flash-kernel - utility to make certain embedded devices bootable
 flash-kernel-installer - Make the system bootable (udeb)
Closes: 693839
Changes: 
 flash-kernel (3.7) unstable; urgency=low
 .
   [ Wouter Verhelst ]
   * Remove $SELF from uploaders.
 .
   [ Martin Michlmayr ]
   * The machine database is case-sensitive so ensure that all instances
     of "Required-Packages" are capitalized correctly.  Closes: #693839
 .
   [ Loïc Minier ]
   * Add test_db testsuite for the database; currently only checking for
     unknown fields.
   * Rename Bootloader-sets-root field to Bootloader-Sets-Root for consistency
     in CamelCasing.
Checksums-Sha1: 
 e813bc4a5bef9c8378cb06a1281f2b37d2abc37a 1745 flash-kernel_3.7.dsc
 5246b7ed01f5b7a2ce9b94b86cde2f22e21c11ac 57233 flash-kernel_3.7.tar.gz
 021b480ceb7f719e3886d411819bb428372b3d14 25164 flash-kernel_3.7_armhf.deb
 2136b04be0f0a7b6f5538445470072240b83c55c 18804 flash-kernel-installer_3.7_armhf.udeb
Checksums-Sha256: 
 6546d922e797f74cf048e0c00725019eccc5d317f6f780f0836bd43e82fe329a 1745 flash-kernel_3.7.dsc
 9aef0fc30113ba226547631972e4f53f6ed5a8223e948d0354ca1dc8d931eb8d 57233 flash-kernel_3.7.tar.gz
 6b1ed5effe108314a2f8e1c0c7c17f449d79cf149ee6badc0d9bf6afcd646d5a 25164 flash-kernel_3.7_armhf.deb
 bfddf35631e503fdd76666a666f09209cfe2ffe93d24f80ddaf61a89237dc2f7 18804 flash-kernel-installer_3.7_armhf.udeb
Files: 
 460b76b76431e614591181c8fe620691 1745 utils optional flash-kernel_3.7.dsc
 5dd0e9d752114e5c6c0c724b1fb43f96 57233 utils optional flash-kernel_3.7.tar.gz
 8da93120373e9359ac19c1e22d747ade 25164 utils optional flash-kernel_3.7_armhf.deb
 a56eee37876e9d5508570fe5b2bd5d2a 18804 debian-installer standard flash-kernel-installer_3.7_armhf.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRsdcPAAoJEPEUCEwIYRERu8AP/3qpXnofLoiI1GSClvMva35w
dEqljsz6G8H2LN+mNLJqIOpIT7I0/A9s5HqdvqTjb8wNtjB1kQ23b68ogEDS7LT6
XRFbHNpLnN3K5UQgNL+lz8gUaT642V2t8Hc4dDYAnu4Y3Cg3+lALam6kvHaDcrsY
Bga/hh+d5DatX6zlsmcDaEwOWTdYN3JANmFPWqesFKXAb7KMNJ8dC3FSvJ8wBsOX
xTcL82O8BhrSrEuZjcOIHKgHJtMQREM9E8Du+uzp8Bb7oBnN8nWVxT9uHuyPepe/
VbveIDqaf1DqboLqpB4NTl7pXgEA9i6EF0NhxDCd8uBWBCZTeAGW39ZZGe11V+s0
6awxPx2YyBbQgI6azt53LjfcGnFuBzDTZBqXMCEk27SCF+inBYHHNNNMUS53QrS1
jsWxVP5SGklQsCzfOBeGxIcxIBep1wBDc3ZY01eYQGObB433LMiuyqwf/laas6+k
x9PTakgFPDo6jFnHe0li1a16kO+Sp1G9o/BGO1tJC54ZA/bVKu3zaKKJzqucd+X+
0U4OyI3W1Tjcpe7vtTj/RgFZRWqHhALVIWMS991UDOW8Eh34zKk+hFN1+T/h/QV2
UzzLZTtu8vR24wM6syqMu5xCkayP5st7NncbXkacjpD1118FJ91EB8+qOLCoWgy+
1pdK9yJEegmtK9yIRfwX
=A0Pt
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#693839; Package flash-kernel. (Thu, 25 Jul 2013 00:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Cama <benoar@dolka.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 25 Jul 2013 00:09:04 GMT) Full text and rfc822 format available.

Message #120 received at 693839@bugs.debian.org (full text, mbox):

From: Benjamin Cama <benoar@dolka.fr>
To: 693839@bugs.debian.org
Subject: debian-installer fails on linkstation mini because of missing u-boot-tools
Date: Thu, 25 Jul 2013 01:58:12 +0200
Hi,

Could this patch be backported to wheezy? As wheezy uses version 3.3, it
basically renders it uninstallable on _all_ those armel platforms
(which, if I understand well, all require u-boot-tools).

I just tested the very nice installer on a new Linkstation Mini, and I
had to apt-get install u-boot-tools by hand to make it pass the “make
bootable” step (or whatever is the english for « Rendre le système
amorçable » is).

Thanks,
--
benjamin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#693839; Package flash-kernel. (Thu, 25 Jul 2013 00:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 25 Jul 2013 00:21:07 GMT) Full text and rfc822 format available.

Message #125 received at 693839@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Benjamin Cama <benoar@dolka.fr>, 693839@bugs.debian.org
Subject: Re: Bug#693839: debian-installer fails on linkstation mini because of missing u-boot-tools
Date: Thu, 25 Jul 2013 02:20:29 +0200
[Message part 1 (text/plain, inline)]
Hi,

Benjamin Cama <benoar@dolka.fr> (2013-07-25):
> Could this patch be backported to wheezy? As wheezy uses version 3.3, it
> basically renders it uninstallable on _all_ those armel platforms
> (which, if I understand well, all require u-boot-tools).

it's already queued for stable:
  http://release.debian.org/proposed-updates/stable.html

The “Closes: #693839” doesn't appear because I didn't upload the
package a second time with the proper flag. But you can see the full
debdiff here:
  http://release.debian.org/proposed-updates/stable_diffs/flash-kernel_3.3+deb7u2.debdiff

This bug report will be marked as fixed in said version once the
point release happens.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#693839; Package flash-kernel. (Thu, 25 Jul 2013 00:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Cama <benoar@dolka.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 25 Jul 2013 00:33:04 GMT) Full text and rfc822 format available.

Message #130 received at 693839@bugs.debian.org (full text, mbox):

From: Benjamin Cama <benoar@dolka.fr>
To: Cyril Brulebois <kibi@debian.org>
Cc: 693839@bugs.debian.org
Subject: Re: Bug#693839: debian-installer fails on linkstation mini because of missing u-boot-tools
Date: Thu, 25 Jul 2013 02:31:55 +0200
Coucou Cyril,

Le jeudi 25 juillet 2013 à 02:20 +0200, Cyril Brulebois a écrit :
> Benjamin Cama <benoar@dolka.fr> (2013-07-25):
> > Could this patch be backported to wheezy? As wheezy uses version 3.3, it
> > basically renders it uninstallable on _all_ those armel platforms
> > (which, if I understand well, all require u-boot-tools).
> 
> it's already queued for stable:
>   http://release.debian.org/proposed-updates/stable.html

OK, thanks, I didn't know where to look for this!

> The “Closes: #693839” doesn't appear because I didn't upload the
> package a second time with the proper flag. But you can see the full
> debdiff here:
>   http://release.debian.org/proposed-updates/stable_diffs/flash-kernel_3.3+deb7u2.debdiff
> 
> This bug report will be marked as fixed in said version once the
> point release happens.

OK, thanks for the details on the release cycle.

And anyway, I rendered my Mini unbootable because of the RAID1 /boot
_with_ metadata that I supposed uBoot would not like; and indeed it
doesn't boot anymore. I will get back to it with my serial cable later
(you have to do some soldering on this thing to get it… what a PITA).

Regards, (and don't forget to sleep!)
--
benjamin




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:28:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.